Subject: Re: bug#64977: 29.1; `auth-source-macos-keychain-search' handles :user key incorrectly

From: LdBeth <[email-masked]>
Date: Sat, 12 Aug 2023 07:55:21 -0500

From man security(1):

    -r protocol     Specify protocol (optional four-character SecProtocolType, e.g. "http", "ftp ")

https://www.unix.com/man-page/osx/1/security/

To test this function, first add password using:

$ security add-internet-password -s irc.libera.chat -a ldb -r 'irc ' -w 'passwd'

In emacs, use something like

(auth-source-search :user "ldb" :port "irc")

should about to retrieve the password.

ldb

>>>>> In <[email-masked]> 
>>>>>	Michael Albinus <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:

> Hi Eli,

>>> Finally I get some time looking at this issue.
>>>
>>> I think the bug is caused by `auth-source-macos-keychain-search-items'
>>> forget the fact that :users can be a list of string instead of a string.
>>>
>>> The `auth-source-macos-keychain-search-items' also did
>>> not handle the protocol argument correctly. The `security' command
>>> needs the "-r" argument to be a string of 4 characters. This is also
>>> fixed in the patch attached.
>>
>> Michael, any comments to the problem and the patch?

> The change in :user seems to be OK. I cannot comment the change in
> :port, because I don't use macOS, and cannot test anything.

> Best regards, Michael.